Subject: Re: bug#62009: 29.0.60; Emacs crashes on setf symbol-name

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Mar 2023 14:35:21 +0200

> Date: Fri, 10 Mar 2023 13:00:34 +0100
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], Robert Pluim <[email-masked]>,
>  Augusto Stoffel <[email-masked]>
> From: Daniel Mendler <[email-masked]>
> 
> On 3/10/23 12:50, Eli Zaretskii wrote:
> > Why bother?  Emacs is not in the business of preventing Lisp
> > programmers from shooting themselves in the foot, certainly not when
> > that incurs runtime overhead, even a small one.
> 
> Of course Elisp is in the business of preventing programmers from
> shooting themselves in the foot, otherwise we would extend Emacs in C.

We disagree here, and this is a very fundamental disagreement, which
basically means continuing this argument is pointless, since we have
no common basis.

> I fully agree with you that we should not introduce a performance
> regression, in particular not one which increases GC pressure badly.
> Furthermore I agree that this is a minor bug which only occurs as an
> edge case when some specific strings are mutated.
> 
> However the cost of fixing this bug is minor

No, it isn't, not in my book.

Sorry, I object to any change to cater for this use case.